API ReferenceElectricity source
Forecast
get
/v4/electricity-source/{sourceType}/forecastGet an electricity source forecast for a zone
Path Parameters
sourceType required
The electricity generation source to get the data for.
One of: "nuclear", "geothermal", "biomass", "coal", "wind", "solar", "hydro", "gas", "oil", "unknown", "hydro-discharge", "battery-discharge"
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
horizonHours optional
The number of hours ahead to forecast.
Default: 24
One of: 6, 24, 48, 72
flowTraced optional
Whether values are flow-traced. true accounts for electricity flows and returns consumption-based values; false returns values for the zone's own generation only.
Default: true
Example: false
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/electricity-source/solar/forecast"{ "zone": "DK-DK2", "temporalGranularity": "hourly", "unit": "MW", "data": [ { "datetime": "2024-05-19T03:00:00.000Z", "updatedAt": "2025-07-25T12:32:42.039Z", "temporalGranularity": "hourly", "value": 100, "flowTraced": true, "isEstimated": false, "estimationMethod": "string" } ], "source": "solar"}Playground
get
/v4/electricity-source/{sourceType}/forecastExplore the API with a 14-day trial.